<h1>Links Úteis</h1>

<?php

	$sql = $db->prepare(
	'SELECT c.`id`, c.`titulo` FROM
		links_categorias c 
	INNER JOIN link_util l 
		ON c.`id` = l.`categoria` 
	WHERE c.`statusCategoria` = 1 
	AND l.`statusProduto` = 1 
	GROUP BY c.`id`
	ORDER BY c.`titulo`');

	$sql->execute();
	$categorias = $sql->fetchAll(PDO::FETCH_ASSOC);

	foreach ($categorias as $categoria) {
		echo '<h2>'.$categoria['titulo'].'</h2>';

		$sql = $db->prepare('SELECT titulo,link FROM link_util WHERE categoria = :idCategoria AND statusProduto = 1');
		$sql->bindParam(':idCategoria', $categoria['id'], PDO::PARAM_INT);
		$sql->execute();

		$links = $sql->fetchAll(PDO::FETCH_ASSOC);

		foreach ($links as $link) {
			echo "<p><a href=".url($link['link'])." target='blank'>".$link['titulo']."</a></p>";
		}
	}